multiple_checkboxes doesn't work with orgs/locs

11/23/2016 04:29 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Organizations and Locations   

Target version: 1.14.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4039

  

Description

multiple_checkboxes calls ActiveModel::Naming on associations that could be simply "Taxonomy". This results on a 500 error

'undefined method `taxonomies' for #<Filter:0x005593624bdd18>' (or whatever other class has the problem). Simply trying to edit a

filter will throw this 500 error. 

https://github.com/theforeman/foreman/blob/develop/app/helpers/form_helper.rb#L49

 We've always had this problem , but since #16971 removed the check for only using that method for '> 5' associations, you'd only

see the error if you had at least 6 organizations or locations (unlikely). Now it became more apparent and it shows up every time.

Associated revisions

Revision 46ab6100 - 01/03/2017 08:47 AM - Daniel Lobato Garcia

Fixes #17457 - multiple_checkboxes doesn't work with orgs/locs

multiple_checkboxes calls ActiveModel::Naming on associations that could

be simply "Taxonomy". This results on a 500 error 'undefined method

`taxonomies' for #<Filter:0x005593624bdd18>' (or whatever other class

has the problem). Simply trying to edit a filter will throw this 500

error.

We've always had this problem , but since #16971 removed the check for

only using that method for '> 5' associations, you'd only see the error

if you had at least 6 organizations or locations (unlikely). Now it

became more apparent and it shows up every time.

The fix I've used is just to take advantage of the options hash to send

the association name directly, and if it's not set, then use

ActiveModel::Naming to get it (as usual).

Revision 4260bb26 - 01/04/2017 03:44 PM - Daniel Lobato Garcia

Fixes #17457 - multiple_checkboxes doesn't work with orgs/locs

multiple_checkboxes calls ActiveModel::Naming on associations that could

be simply "Taxonomy". This results on a 500 error 'undefined method

`taxonomies' for #<Filter:0x005593624bdd18>' (or whatever other class

has the problem). Simply trying to edit a filter will throw this 500

error.

We've always had this problem , but since #16971 removed the check for

only using that method for '> 5' associations, you'd only see the error

if you had at least 6 organizations or locations (unlikely). Now it

became more apparent and it shows up every time.

The fix I've used is just to take advantage of the options hash to send

the association name directly, and if it's not set, then use

ActiveModel::Naming to get it (as usual).

(cherry picked from commit 46ab6100609e769faeaca3a475b31445a8d72b3d)
https://projects.theforeman.org/issues/16971


History

#1 - 11/23/2016 04:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/4039 added

#2 - 11/29/2016 09:58 AM - Daniel Lobato Garcia

- Target version set to 1.4.3

#3 - 12/20/2016 09:55 AM - Daniel Lobato Garcia

- Target version changed from 1.4.3 to 1.15.5

#4 - 01/03/2017 09:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 46ab6100609e769faeaca3a475b31445a8d72b3d.

#5 - 01/03/2017 09:57 AM - Dominic Cleal

- translation missing: en.field_release set to 189
